Subject: Re: bug#6689: 24.0.50; No primary selection

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Jul 2010 18:33:59 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Fri, 23 Jul 2010 07:57:26 -0700
> 
> I gave concise, clear descriptions - see the original bug reports.  Do you want
> me to repeat the recipes?

There's no need.  Are these two bug reports the only ones that
consider the behavior on Windows that changed because of this?

> Those are the two bugs that I reported.  There are several other bug reports,
> reported by others, that also have to do with mouse
> selection/copying/killing/yanking.

It was my impression that the other reports were for platforms other
than Windows.  If you know about bug reports regarding Windows, please
point me to their numbers.

> I am relieved to hear people such as yourself agree that this changed behavior
> represents a bug and not an intentional change.

IMO, it is definitely a bug on Windows.

> That was *not* obvious, given some of the rationalization and
> discussion of needed "improvements" in this area.

The intended improvements are on Posix platforms, which support both
the clipboard and the primary/secondary selections.

> That was one of the points I made: there was no clear proposal for a specified
> change, followed by discussion and agreement.  Just some half-discussion and
> then some code changes.

People who use Posix platforms are acutely aware of the difference
between how Emacs used the clipboard and the selections, and how other
applications do that.  That's why they didn't see any reason to
discuss the changes before making them.

> The dev process is itself broken in this regard, IMO.  We should see
> a clear proposal, discuss it, and agree on it, before an attempt is
> made to implement it.

That's not how the Emacs development works.  Core developers don't
need any approval for installing changes; they are trusted to not
break Emacs for others except in rare cases and then by mistake.  How
much they want to discuss before installing, is up to them.